%define module      Email-MIME-Creator
%define name        perl-%{module}
%define up_version  1.456
%define version     %perl_convert_version %{up_version}
%define release     %mkrel 1
%define _provides_exceptions perl(Email::MIME)

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Email::MIME constructor for starting anew
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.gz
Requires:       perl(Email::Simple::Creator)
BuildRequires:  perl(Email::Simple)
BuildRequires:  perl(Email::Simple::Creator)
BuildRequires:  perl(Email::MIME)
BuildRequires:  perl(Email::MIME::Modifier)
BuildRequires:  perl(Email::Date)
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This software provides a constructor to Email::MIME for creating messages
from scratch.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*




%changelog
* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.456.0-1mdv2010.0
+ Revision: 378163
- new version
- new release
- standardized version

* Wed Oct 01 2008 Oden Eriksson <oeriksson@mandriva.com> 1.45.4-4mdv2009.0
+ Revision: 290397
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.45.4-1mdv2008.0
+ Revision: 56075
- update to new version 1.45.4

* Fri May 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.45.3-1mdv2008.0
+ Revision: 30980
- new version


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.45.1-1mdv2007.0
+ Revision: 111434
- fix build dependencies
- fix build dependencies
- fix build dependencies
- Import perl-Email-MIME-Creator

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.45.1-1mdv2007.1
- first mdv release

